Subject: Re: GNOME is missing default font (cantarell)

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 16 Aug 2022 15:54:09 +0200

Am Dienstag, dem 16.08.2022 um 12:04 +0200 schrieb Christophe Pisteur:
> ## Steps to reproduce
> 
> The following steps assume you are using Guix System with GNOME
> desktop.
> 
> 1. Boot with a 5.18 kernel
> 2. Connect with GDM / X11 to the Gnome desktop
> 
> 
> ## Expected result
> 
> + The gnome desktop interface uses the default Cantarell font (as in
> 5.17 kernel)
> + Cantarell font is available in applications (for example LibreOffice)
> 
> ## Unexpected result
> 
> + the Cantarell, font which is the default font of the gnome desktop,
> is not used in the Gnome interface
> + gnome-tweaks, which allows to select the interface font, does not
> list the Cantarell font
> + Cantarell font is not proposed by LibreOffice 7.5.3 either
> 
> see: https://lists.gnu.org/archive/html/help-guix/2022-08/msg00110.html
> 
> ## Workaround
> 
> Thank to https://luis-felipe.gitlab.io/:
> 
> 1. guix install font-abattis-cantarell
> 2. fc-cache -rv
> 3. Reload GNOME Shell (press Alt+F2, type the letter r in the command
> box, and press Enter)
Is the first step really needed?  Cantarell should already be part of
gnome-service-type.

In any case, troubles with fonts are to be expected under some
circumstances.  See `info "(guix)Application Setup"', particularly
paragraph 2.6.3 X11 Fonts.  Your issue also has probably little to do
with linux-libre but rather the fact that an update from pre-5.18 to
now brings in lots of package changes.  IIRC the great Cantarell break
was a rather recent event, though I'm not sure what caused it.

Cheers